Loading...
Searching...
No Matches
openmpt::ext::interactive3 Class Referenceabstract
libopenmpt_ext C++

`#include <libopenmpt/libopenmpt_ext.hpp>`

## Public Member Functions

virtual void | set_current_tempo2 (double tempo)=0
| Set the current module tempo.

## Protected Member Functions

| interactive3 ()
virtual | ~interactive3 ()

## Constructor & Destructor Documentation

## interactive3()

openmpt::ext::interactive3::interactive3 | ( |  | ) |

inline protected

## ~interactive3()

virtual openmpt::ext::interactive3::~interactive3 | ( |  | ) |

inline protected virtual

## Member Function Documentation

## set_current_tempo2()

virtual void openmpt::ext::interactive3::set_current_tempo2 | ( | double | tempo | ) |

pure virtual

Set the current module tempo.

Parameters

  tempo | The new tempo in range [32, 512]. The exact meaning of the value depends on the tempo mode used by the module.

Exceptions

  openmpt::exception | Throws an exception derived from openmpt::exception if the tempo is outside the specified range.

Remarks
  The tempo may be reset by pattern commands at any time. Use openmpt::ext:interactive::set_tempo_factor to apply a tempo factor that is independent of pattern commands.

See also
  openmpt::module::get_current_tempo2

Since
  0.7.0

The documentation for this class was generated from the following file:

- libopenmpt/libopenmpt_ext.hpp